> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bundle gates

> Get bundle gates



## OpenAPI

````yaml /api-specs/6.3/governance-api.yaml get /bundles/{id}/gates
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers: []
security: []
paths:
  /bundles/{id}/gates:
    get:
      tags:
        - bundles
      summary: Get bundle gates
      description: Get bundle gates
      parameters:
        - description: Bundle ID
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/guardrails.Gate'
                type: array
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '423':
          description: Locked
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    guardrails.Gate:
      properties:
        bundleId:
          type: string
        id:
          type: string
        isOpen:
          type: boolean
        name:
          type: string
        policyGateId:
          type: string
        reason:
          type: string
        resources:
          items:
            $ref: '#/components/schemas/guardrails.RuleDefinition'
          type: array
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    guardrails.RuleDefinition:
      properties:
        action:
          $ref: '#/components/schemas/guardrails.RuleAction'
        failOpen:
          type: boolean
        parameters:
          type: object
      required:
        - action
      type: object
    guardrails.RuleAction:
      enum:
        - CreateApp
        - CreateEndpoint
      type: string
      x-enum-varnames:
        - CreateApp
        - CreateEndpoint

````